unit About;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, RXCtrls, OleCtrls, isp3, ShellAPI;

type
  TAboutBox = class(TForm)
    Panel1: TPanel;
    OKButton: TButton;
    SecretPanel1: TSecretPanel;
    Label1: TLabel;
    Label2: TLabel;
    MailAdres: TLabel;
    Image1: TImage;
    Comments: TLabel;
    Version: TLabel;
    ProgramIcon: TImage;
    procedure CommentsDblClick(Sender: TObject);
    procedure SecretPanel1DblClick(Sender: TObject);
    procedure MailSEND(Sender: TObject);
    procedure OpenObject(sObjectPath : PChar);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutBox: TAboutBox;

implementation

{$R *.DFM}

procedure TAboutBox.CommentsDblClick(Sender: TObject);
begin
  SecretPanel1.Active :=True;
end;

procedure TAboutBox.SecretPanel1DblClick(Sender: TObject);
begin
   if SecretPanel1.Active then SecretPanel1.Active := False;
end;

procedure TAboutBox.MailSEND(Sender: TObject);
var TempString : array[0..79] of char;
begin
  StrPCopy(TempString,'mailto:' + MailAdres.Caption);
  OpenObject(TempString);
end;

procedure TAboutBox.OpenObject(sObjectPath : PChar);
begin
 ShellExecute(0, Nil, sObjectPath,  Nil, Nil, SW_SHOWNORMAL);
end;


end.

