unit EditAb;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Db, DBTables, StdCtrls, Buttons, DBCtrls, Mask, RXLookup;

type
  TFormEditKl = class(TForm)
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    Query1: TQuery;
    DataSource1: TDataSource;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    DBEdit1: TDBEdit;
    DBEdit3: TDBEdit;
    DBEdit4: TDBEdit;
    DBEdit5: TDBEdit;
    DBMemo1: TDBMemo;
    NewKlient: TQuery;
    BtnNewOrgan: TBitBtn;
    DBComboBox1: TDBComboBox;
    Query1TELEFMG: TStringField;
    Query1ORGAN: TStringField;
    Query1SITY: TStringField;
    Query1ADDRES: TStringField;
    Query1USER: TStringField;
    Query1DOPOLN: TMemoField;
    procedure DBEdit1Change(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure Execute(TlfNum, SityName :String);
    procedure EditItem(TlfNum:String);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure BtnNewOrganClick(Sender: TObject);
  private
    { Private declarations }
  public
    ind_edit : Boolean;
  end;

var
  FormEditKl: TFormEditKl;

implementation

uses TlfChr;
{$R *.DFM}

procedure TFormEditKl.Execute(TlfNum, SityName :String);
begin
  MainForm.QueryExistTel.Active := true;
  while not(MainForm.QueryExistTel.EOF) do
    begin {         }
      if MainForm.QueryExistTel.FieldByName('TELEFMG').AsString = TlfNum
         then begin
         MainForm.QueryExistTel.Active := False;
         EditItem(TlfNum);
         Exit;
         end;
      MainForm.QueryExistTel.Next;
    end;
  MainForm.QueryExistTel.Active := False;
  NewKlient.ParamByName('TELEFMG').AsString := TlfNum;
  NewKlient.ParamByName('SITY').AsString := SityName;
  NewKlient.ExecSQL;
  EditItem(TlfNum);
end;

procedure TFormEditKl.EditItem(TlfNum:String);
begin
  Query1.ParamByName('TELEFMG').AsString := TlfNum;
  Query1.Active := True;
  ind_edit := False;
  MainForm.TableExistOrg.Active := True;
  ShowModal;
end;

procedure TFormEditKl.DBEdit1Change(Sender: TObject);
begin
   If ind_edit then Exit;
   MessageDlg('       ?',
               mtWarning, [mbYes, mbNo], 0 );
end;

procedure TFormEditKl.BitBtn1Click(Sender: TObject);
begin
   if Query1.State = dsEdit then Query1.CheckBrowseMode;
end;

procedure TFormEditKl.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  ind_edit := True;
  Query1.Close;
  MainForm.TableExistOrg.Active := False
end;

procedure TFormEditKl.FormCreate(Sender: TObject);
begin
  with MainForm.TableExistOrg do begin
   Active := True;
   while not EOF do begin
    DBComboBox1.Items.Add(Fields[0].AsString);
    Next            end;
   Active := False
  end;
  ind_edit := True
end;

procedure TFormEditKl.BtnNewOrganClick(Sender: TObject);
Var OrgName : String;
begin
  OrgName := InputBox('   ','','');
  If OrgName = '' then Exit;
  with MainForm.TableExistOrg do begin
   Active := True;
   while not EOF do begin
    if Fields[0].AsString = OrgName
      then begin ShowMessage('    ');
                 Exit         end;
    Next;
   end;
   Insert;   {   -}
   FieldByName('ORG').AsString := OrgName;
   Post;
   DBComboBox1.Items.Add(OrgName);
   Active := False;
  end;
   if Query1.State <> dsEdit then Query1.Edit;
   Query1.FieldByName('ORGAN').AsString := OrgName;
end;

end.
