unit SpisAb;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ToolWin, ComCtrls, Db, DBTables, Grids, DBGrids, RXDBCtrl, ExtCtrls,
  SpeedBar, DBCtrls, Menus, StdCtrls;

type
  TFormSpisKl = class(TForm)
    RxDBGrid1: TRxDBGrid;
    DataSource1: TDataSource;
    SpeedBar1: TSpeedBar;
    Table1: TTable;
    Table1TELEFMG: TStringField;
    Table1ORGAN: TStringField;
    Table1SITY: TStringField;
    Table1USER: TStringField;
    DBNavigator1: TDBNavigator;
    SpeedbarSection1: TSpeedbarSection;
    SpeedItem1: TSpeedItem;
    SpeedItem2: TSpeedItem;
    PopupMenu1: TPopupMenu;
    N1: TMenuItem;
    RGSort: TRadioGroup;
    SerchStr: TEdit;
    procedure RxDBGrid1DblClick(Sender: TObject);
    procedure SpeedItem1Click(Sender: TObject);
    procedure Execute;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure RGSortClick(Sender: TObject);
    procedure SerchStrChange(Sender: TObject);
  private
    { Private declarations }
  public
    OldState : Integer;
    SelectQuery : String;
  end;

var
  FormSpisKl: TFormSpisKl;

implementation

{$R *.DFM}
uses EditAb;

procedure TFormSpisKl.Execute;
begin
  Table1.Filtered := False;
  Table1.Active := True;
  OldState := 0;
  RGSort.ItemIndex := 0;
  SerchStr.Text := '';
  ShowModal;
end;

procedure TFormSpisKl.RxDBGrid1DblClick(Sender: TObject);
begin  {     }
  FormEditKl.EditItem ( Table1.FieldByName('TELEFMG').AsString );
  Table1.Refresh;
end;

procedure TFormSpisKl.SpeedItem1Click(Sender: TObject);
begin
  Close;
end;

procedure TFormSpisKl.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Table1.Active := False;
end;

procedure TFormSpisKl.RGSortClick(Sender: TObject);
begin   {    }
  if OldState = RGSort.ItemIndex then Exit;
  OldState := RGSort.ItemIndex;
  case OldState of
   0: SelectQuery := 'TELEFMG =''';
   1: SelectQuery := 'USER =''';
   2: SelectQuery := 'ORGAN =''';
   3: SelectQuery := 'SITY =''';
  end; {case}
  SerchStr.Text := '';
end;

procedure TFormSpisKl.SerchStrChange(Sender: TObject);
begin
  If SerchStr.Text = ''
    then Table1.Filtered := False
    else begin
      Table1.Filtered := True;
      Table1.Filter := SelectQuery + SerchStr.Text +'*''';
end      end;

end.
