unit VarRing;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, SpeedBar, Grids, Menus, ComCtrls, RXCtrls, Db, DBTables,
  StdCtrls;

type
  TFormVarRing = class(TForm)
    VargTel: TStringGrid;
    SpeedBar1: TSpeedBar;
    SpeedbarSection1: TSpeedbarSection;
    siClose: TSpeedItem;
    PopupMenu1: TPopupMenu;
    AddNewTlf: TMenuItem;
    SpeedItem1: TSpeedItem;
    StatusBar1: TStatusBar;
    TableMG: TTable;
    SityName: TRxLabel;
    Organ: TLabel;
    User: TLabel;
    procedure siCloseClick(Sender: TObject);
    procedure AddNewTlfClick(Sender: TObject);
    procedure Execute(Kol : Integer; SumM : Extended);
    procedure VargTelClick(Sender: TObject);
    procedure InsNomTel(Var AddNomTel : Integer; Var SMoney : Extended);
  public
    OldState : Integer;
    SelectQuery : String;
    Id_Serch : boolean;
  end;

var
  FormVarRing: TFormVarRing;

implementation

{$R *.DFM}
uses EditAb, TlfChr;

procedure TFormVarRing.InsNomTel(Var AddNomTel : Integer; Var SMoney : Extended);
begin
  With MainForm.QueryNewTel do begin
   inc(AddNomTel);
   SMoney := SMoney + FieldByName('MONEY').AsCurrency;
   With VargTel do begin
     Cells[0,AddNomTel] := FieldByName('TLFMG').AsString;
     Cells[1,AddNomTel] := DateTimeToStr(FieldByName('TIMERING').AsDateTime);
     Cells[2,AddNomTel] := IntToStr(FieldByName('DLIT').AsInteger);
     Cells[3,AddNomTel] := FloatToStrF(FieldByName('MONEY').AsCurrency, ffCurrency,12,2);
     Cells[4,AddNomTel] := FieldByName('TLFTCHER').AsString;
end; end;  end;

procedure TFormVarRing.Execute ( Kol : Integer; SumM : Extended);
begin
  VargTel.RowCount := Kol + 1;
  StatusBar1.Panels[0].Text := ' ' + IntToStr(Kol)+
       '    ' + FloatToStrF(SumM, ffCurrency, 12, 2);
  OldState := 0;
  Id_Serch := False;
  VargTelClick(VargTel);
  ShowModal;
end;

procedure TFormVarRing.siCloseClick(Sender: TObject);
begin
 Close;
end;

procedure TFormVarRing.AddNewTlfClick(Sender: TObject);
begin   {     }
  FormEditKl.Execute(VargTel.Cells[0, VargTel.Row], SityName.Caption);
end;

procedure TFormVarRing.VargTelClick(Sender: TObject);
Label Ser, Next_rec, Net;
Var DopNom : String[2];  I : integer;
begin
  if Id_Serch or (OldState = VargTel.Row) then Exit;
  Id_Serch := True;
  OldState := VargTel.Row;
  SelectQuery := VargTel.Cells[0,VargTel.Row];
  TableMG.Filtered := True;
  TableMG.Filter := 'NOM_POST =''' + Copy(SelectQuery,1,3) +'''';
  TableMG.Active := True;
  DopNom := Copy(SelectQuery,4,2);
  SityName.Caption := '';
  if TableMG.RecordCount > 1
   then begin
    while not(TableMG.EOF) do begin
      i := 1;
      SelectQuery := TableMG.FieldByName('NOM_DOP').AsString;
      While i<= length(SelectQuery) do begin
        if SelectQuery[i] <> DopNom[i] then goto Next_rec;
        inc (i)                        end;
      goto Ser;
Next_rec:  TableMG.Next       end;
   end
   else if TableMG.RecordCount < 1 then goto Net;
Ser:  SityName.Caption := TableMG.FieldByName('SITY').AsString;
Net:  TableMG.Active := False;
  with  FormEditKl.Query1 do begin
    ParamByName('TELEFMG').AsString := VargTel.Cells[0, VargTel.Row];
    Active := True;
    if RecordCount = 1
      then begin
       Organ.Caption := FieldByName('ORGAN').AsString;
       User.Caption := FieldByName('USER').AsString;
      end
      else begin
       Organ.Caption := '';
       User.Caption := '';
      end;
    Active := False;
  end;
  Id_Serch := False;
end;

end.
